# $Revision: 1.9 $, $Date: 2010/02/16 11:55:27 $

%define		snap	812

Summary:	X.org video driver for VIA Unichrome graphics chipsets
Summary(pl.UTF-8):	Sterownik obrazu X.org dla układów zintegrowanych VIA Unichrome
Name:		xorg-driver-video-openchrome
Version:	0.2.904
Release:	1.%{snap}.1
License:	MIT
Group:		X11/Applications
# svn export http://svn.openchrome.org/svn/trunk -r 812 openchrome-0.2.904-r812
Source0:	http://xatka.net/~z/PLD/openchrome-%{version}-r%{snap}.tar.bz2
# Source0-md5:	c066faa1778433bcb61e1812922285f0
URL:		http://www.openchrome.org/
BuildRequires:	Mesa-libGL-devel
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libdrm-devel >= 2.0
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libXvMC-devel
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-glproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-proto-xf86driproto-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
%requires_xorg_xserver_videodrv
Requires:	xorg-xserver-libdri >= 1.0.99.901
Requires:	xorg-xserver-libglx >= 1.0.99.901
Requires:	xorg-xserver-server >= 1.0.99.901
Obsoletes:	X11-driver-via < 1:7.0.0
Obsoletes:	XFree86-driver-via < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for VIA chipsets with integrated Unichrome graphics
engine.

It supports VIA CLE266, KM400/KN400, CN400, CN700, K8M800/K8N800,
PM800/PN800, P4M800Pro, VN800, PM880, K8M890/K8N890, CN896, VN896 and
P4M900 chipsets.

%description -l pl.UTF-8
Sterownik obrazu X.org do układów VIA ze zintegrowanym silnikiem
graficznym Unichrome.

Obsługuje układy VIA CLE266, KM400/KN400, CN400, CN700, K8M800/K8N800,
PM800/PN800, P4M800Pro, VN800, PM880, K8M890/K8N890, CN896, VN896 oraz
P4M900.

%prep
%setup -q -n openchrome-%{version}-r%{snap}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la \
	$RPM_BUILD_ROOT%{_libdir}/libchromeXvMC*.{la,so}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/openchrome_drv.so
%ifarch %{ix86} %{x8664}
%attr(755,root,root) %{_libdir}/libchromeXvMC.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libchromeXvMC.so.1
%attr(755,root,root) %{_libdir}/libchromeXvMCPro.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libchromeXvMCPro.so.1
%endif
%{_mandir}/man4/openchrome.4*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-video-openchrome.spec,v $
Revision 1.9  2010/02/16 11:55:27  pawelz
- up to svn revision 812
  last released version (0.2.904) does not build with xorg 1.7, while this svn
  snapshot builds. Ubuntu uses this revision too.

Revision 1.8  2009/12/25 20:11:19  witekfl
- up to 0.2.904
- add BR

Revision 1.7  2009/10/02 08:28:29  arekm
- release 4

Revision 1.6  2009/02/25 21:06:13  arekm
- release 3

Revision 1.5  2008/12/27 09:18:57  qboosh
- R: xorg libdri,libglx

Revision 1.4  2008/08/30 16:33:59  arekm
- release 2

Revision 1.3  2008/08/26 06:27:05  qboosh
- updated to 0.2.903
- removed obsolete id patch

Revision 1.2  2008/07/01 16:09:55  arekm
- release 2

Revision 1.1  2007-11-30 23:45:14  adamg
- new
